
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_servicelistrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for V172_PenaltyListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="V172_PenaltyListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Cancellation"/&amp;gt;
 *     &amp;lt;enumeration value="Change"/&amp;gt;
 *     &amp;lt;enumeration value="NoShow"/&amp;gt;
 *     &amp;lt;enumeration value="Upgrade"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "V172_PenaltyListType")
@XmlEnum
public enum V172PenaltyListType {

    @XmlEnumValue("Cancellation")
    CANCELLATION("Cancellation"),
    @XmlEnumValue("Change")
    CHANGE("Change"),
    @XmlEnumValue("NoShow")
    NO_SHOW("NoShow"),
    @XmlEnumValue("Upgrade")
    UPGRADE("Upgrade"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    V172PenaltyListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static V172PenaltyListType fromValue(String v) {
        for (V172PenaltyListType c: V172PenaltyListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
